import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';

import App from 'App';
import configureStore from 'redux/configureStore';

export function main(args = {}) {

    let { renderNow = false, store = null, rootElement = null, reactDOM = ReactDOM } = args;

    if (rootElement === null) {
        rootElement = document.getElementById('root');
    }

    if (store === null) {
        store = configureStore();
    }

    if (renderNow) {

        reactDOM.render(
            <Provider store={store}>
                <App />
            </Provider>,
            rootElement
        );

    }
}

// We don't need to render while unit testing with jest.
const runningTests = (process.env.NODE_ENV === 'test');
const renderNow = !(runningTests);

main({ renderNow });