
import API from 'services/api';
import { CATEGORY_ACTION_TYPE } from 'redux/constants/actionTypes';

export function initCategory() {

    const { CATEGORY_INIT_BEGIN, CATEGORY_INIT_SUCCESS, CATEGORY_INIT_FAILED } = CATEGORY_ACTION_TYPE;

    return async dispatch => {

        dispatch({ type: CATEGORY_INIT_BEGIN });

        try {
            const result = await API.getCategoryData();
            const { name, groups: items } = result;
            dispatch({ type: CATEGORY_INIT_SUCCESS, payload: { name, items } });
        }
        catch (err) {
            console.log(err);
            dispatch({ type: CATEGORY_INIT_FAILED, payload: err });
        }

    };
}