import { applyMiddleware, compose, createStore } from 'redux';
import thunkMiddleware from 'redux-thunk';

import rootReducer from 'redux/reducers';

export default function configureStore() {
    const middlewares = [thunkMiddleware];
    const middlewareEnhancer = applyMiddleware(...middlewares);

    const enhancers = [middlewareEnhancer];

    if (window.devToolsExtension) {
        enhancers.push(window.devToolsExtension());
    }

    const composedEnhancers = compose(...enhancers);

    const store = createStore(rootReducer, undefined, composedEnhancers)

    return store
}