
import { URL } from 'constants/urls';

async function get(url) {

    const response = await fetch(url);

    if (response.ok) {
        const data = await response.json();
        return data;
    }
    else {
        const message = `Following api request resulted in an exception.
                Url: ${response.url},
                Status: ${response.status},
                StatusText: ${response.statusText}`;
        throw Error(message);
    }

}

class ApiClient {

    async getCategoryData() {
        return get(URL.CATEGORY);
    }

}

export default new ApiClient();